-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Mobile Information Management System (MIMS)
-- Version      : 
-- Author       : Strategic Air Command (SAC) 
--              : HQ SAC SICA
--              : Offutt AFB, NE        
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : 
-- Date created : Jan. 1985 
-- Release date : Nov  1985 
-- Last update  : 
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract   : 
----------------: As a demonstration of the use of Ada for command and control 
----------------: applications, the current airborne and ground mobile systems
----------------: at SAC (600,000 LOC - JOVIAL) are being consolidated into a 
----------------: mobile data management system using a common data format and
----------------: query language with graphical display capabilities.  The 
----------------: system includes an integrated data management system, 
----------------: automatic and manual update of the data, ad hoc data 
----------------: retrieval, building and maintaining displays as well as 
----------------: interaction with the working file, display transfers, and 
----------------: manual backup.  It uses a multiple task environment to 
----------------: interface with several I/O devices, enter data into and 
----------------: retrieve data from similar systems across the communication 
----------------: links, and provide timely access to about 500 million 
----------------: characters of data. 
----------------: 
----------------: Three packages (two generic) are provided from the MIMS at 
----------------: this time, balanced trees, source scanner, and variable lists.
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                   -*
------------------ Revision history ---------------------------
--                                                   -*
-- DATE VERSION AUTHOR                  HISTORY 
-- 
--                                                   -*
------------------ Distribution and Copyright -----------------
--                                                   -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                   -*
----------------- Disclaimer ----------------------------------
--                                                   -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                  -*
----------------- END-PROLOGUE -------------------------------
