-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Symbolic Debugger
-- Version      : 1.0
-- Author       : Intermetrics, Inc.
--              : 5392 Bolsa Avenue, Huntington Beach, CA 92649
--              : Ron Rathgeber or Kathy Velick (author)
--              : (714) 891-4631
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Intermetrics, Inc.
-- Date created : 1985
-- Release date : 1985
-- Last update  : 
-- Machine/System Compiled/Run on : DEC Ada / VMS
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : Interactive debugger will provide debugging and
----------------: diagnostic aids at the Ada statement level through
----------------: an "Ada-like" command language.  Capabilities 
----------------: include:  (1) Setting, resetting and displaying
----------------: breakpoints; (2) Setting and displaying Ada program 
----------------: variables; (3) Tracing program execution at
----------------: statement, block or unit level; (4) Snap dumps in
----------------: printing format form or raw data form to occur
----------------: periodically or on demand; (5) Execution frequency
----------------: profiles for each Ada statement and entry/exit to
----------------: each program block and unit, with optional report
----------------: showing percentage of total execution time spent
----------------: in each code block and in each statement within a
----------------: block.  Tool consists of source instrumentation
----------------: module, debugger module and a report generator.
----------------: 
----------------: This tool was developed as a precuresor for
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been   
----------------: demonstrated.
----------------: 
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE       VERSION        AUTHOR               HISTORY 
--            1.0            Intermetrics         Initial Release                                                          
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------

