-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : TCP/IP
-- Version      : 1.0
-- Author       : E_Systems, Inc., ECI Division
--              : St. Petersburg, Florida
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 E_Systems, Inc.
-- Date created : 
-- Release date : 22 June 1985
-- Last update  : 
-- Machine/System Compiled/Run on:
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : The proposed tools provide communication with the
----------------: Utility layer(TCP) corresponding to RFC-793 and 
----------------: with Internet(IP).  An operating system interface 
----------------: to VAX VMS will be provided.  Internet Control 
----------------: Message Protocol (ICMP) will be provided as part
----------------: of IP.  These protocols allow multi-user access
----------------: and message priority.  A Test System will be 
----------------: provided to demonstrate these protocols, generate     
----------------: test scenarios, and display intermediate data.
----------------: 
----------------: 
----------------: 
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 06/22  	      1.0                       Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
