-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Micocomputer Word Processor
-- Version      : 1.0
-- Author       : Science Applications International Corporation
--              : 2280 Highway 19 North, Suite 120
--              : Clearwater, Florida
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Science Applications International Corporation
-- Date created : Jan. 1985 
-- Release date : June 1985 
-- Last update  : June 1985
-- Machine/System Compiled/Run on:
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract   : 
----------------: This word processing package contains an editor and a text
----------------: fomatter for creating, modifying, and formatting ASCII
----------------: text files.  The screen editor will make full use of
----------------: function keys and cusor control keys.  It will support
----------------: 255 character lines, will create back-up files, and will
----------------: support an undo feature.  Text formatter commands are
----------------: keyed by a '.' in column 1 followed by a key-word command
----------------: and operands.  Also included is a utility for defining the
----------------: help screens which are available to the general user as
----------------: well as a utility for defining new type fonts.  
----------------:
----------------: This word processor will support VT-100(VT52), VT-100(ANSI),
----------------: Digital Microsystems 5086, IBM-PC, VIP 7705, and Delta Data
----------------: Terminals.  It will support Centronics 737, Dataproducts, 
----------------: Diablo 630, and Qume Sprint Series printers.
----------------:
--                                                   -*
------------------ Revision history ---------------------------
--                                                   -*
-- DATE VERSION AUTHOR                  HISTORY 
-- 6/85    1.0                          Initial Release 
--                                                   -*
------------------ Distribution and Copyright -----------------
--                                                   -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                   -*
----------------- Disclaimer ----------------------------------
--                                                   -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                  -*
----------------- END-PROLOGUE -------------------------------
