::::::::::
fgs_tst.dis
::::::::::
--
--  Test files for Form Generator System
--

--  Batch Generator tests
--   Test - input file
--   List - listing file
--   Form - form output file
BATCH_01.TST
BATCH_01.LST
BATCH_01.FRM

BATCH_02.TST
BATCH_02.LST

BATCH_03.TST
BATCH_03.LST

BATCH_04.TST
BATCH_04.LST

BATCH_05.TST
BATCH_05.LST


--  Form Executor tests
--   Test form
EXECUTOR.TST
EXECUTOR.LST
EXECUTOR.FRM
--   Test program & directions
EXEC_TEST.ADA
EXEC_TEST.TST
--   Secondary test & form
DISPLAY_FORM.ADA
DISPLAY_FORM.FRM

--  Interactive Generator test form
INTERACT.FRM

--  Terminal Capabilities File for VT100 terminal
TCF
::::::::::
BATCH_01.TST
::::::::::
--
--              Form Definition Language Example
--   Identification: BATCH_01
--   Correct form definition - no errors.
--


--
-- Form Defined
--
        Form( Size => (18, 40), Position => (3, 20) );

--
-- Title on Form
--
        Text( Value => "Employee Identification Record",
              Position => (1, 6) );

--
-- Input Employee Name
--
        Text( Value => "Name:", Position => (4, 13) );

        Field( Name => "Name", Position => (4, 20), Length => 20,
               Limitation => Alphabetic );

--
-- Input Employee Number
--
        Text( Value => "Employee Number:", Position => (6, 2) );

        Field( Name => "Employee Number", Position => (6, 20),
               Length => 8, Limitation => Numeric );

--
-- Input Division
--
        Text( Value => "Division:", Position => (8, 9) );

        Field( Name => "Division", Position => (8, 20),
               Length => 2, Limitation => Numeric );

--
-- Cost Center
--
        Text( Value => "Cost Center:", Position => (10, 6) );

        Field( Name => "Cost Center", Position => (10, 20),
               Length => 4, Limitation => Numeric );

--
-- Location
--
        Text( Value => "Location:", Position => (12, 9) );

        Field( Name => "Location", Position => (12, 20),
               Length => 20, Limitation => Alphabetic );

--
-- Mail Station
--
        Text( Value => "Mail Station:", Position => (14, 5) );

        Field( Name => "Mail Station", Position => (14, 20),
               Length => 4, Limitation => Numeric );

--
-- Phone Number
--
        Text( Value => "Phone Number:", Position => (16, 5) );

        Field( Name => "Phone Number", Position => (16, 20),
               Length => 15, Limitation => Not_Limited );

--
-- Message ID
--
        Text( Value => "Message Id.:", Position => (18, 6) );

        Field( Name => "Message Id.", Position => (18, 20),
               Length => 4, Limitation => Alphanumeric );
::::::::::
BATCH_01.LST
::::::::::
Batch Forms Generator running on  3/17/1985
    Input  File: batch_01.test                                     
    Output File: batch_01.form                                     

    1 --
    2 --              Form Definition Language Example
    3 --   Identification: BATCH_01
    4 --   Correct form definition - no errors.
    5 --
    6 
    7 
    8 --
    9 -- Form Defined
   10 --
   11         Form( Size => (18, 40), Position => (3, 20) );
   12 
   13 --
   14 -- Title on Form
   15 --
   16         Text( Value => "Employee Identification Record",
   17               Position => (1, 6) );
   18 
   19 --
   20 -- Input Employee Name
   21 --
   22         Text( Value => "Name:", Position => (4, 13) );
   23 
   24         Field( Name => "Name", Position => (4, 20), Length => 20,
   25                Limitation => Alphabetic );
   26 
   27 --
   28 -- Input Employee Number
   29 --
   30         Text( Value => "Employee Number:", Position => (6, 2) );
   31 
   32         Field( Name => "Employee Number", Position => (6, 20),
   33                Length => 8, Limitation => Numeric );
   34 
   35 --
   36 -- Input Division
   37 --
   38         Text( Value => "Division:", Position => (8, 9) );
   39 
   40         Field( Name => "Division", Position => (8, 20),
   41                Length => 2, Limitation => Numeric );
   42 
   43 --
   44 -- Cost Center
   45 --
   46         Text( Value => "Cost Center:", Position => (10, 6) );
   47 
   48         Field( Name => "Cost Center", Position => (10, 20),
   49                Length => 4, Limitation => Numeric );
   50 
   51 --
   52 -- Location
   53 --
   54         Text( Value => "Location:", Position => (12, 9) );
   55 
   56         Field( Name => "Location", Position => (12, 20),
   57                Length => 20, Limitation => Alphabetic );
   58 
   59 --
   60 -- Mail Station
   61 --
   62         Text( Value => "Mail Station:", Position => (14, 5) );
   63 
   64         Field( Name => "Mail Station", Position => (14, 20),
   65                Length => 4, Limitation => Numeric );
   66 
   67 --
   68 -- Phone Number
   69 --
   70         Text( Value => "Phone Number:", Position => (16, 5) );
   71 
   72         Field( Name => "Phone Number", Position => (16, 20),
   73                Length => 15, Limitation => Not_Limited );
   74 
   75 --
   76 -- Message ID
   77 --
   78         Text( Value => "Message Id.:", Position => (18, 6) );
   79 
   80         Field( Name => "Message Id.", Position => (18, 20),
   81                Length => 4, Limitation => Alphanumeric );

<<<<<           0 Error(s) Detected >>>>>
<<<<< Form Saved >>>>>
::::::::::
BATCH_01.FRM
::::::::::
 18 40  3 20 CLEAR
                                
  1  6 30 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Employee Identification Record                                                  
                                
  4 13  5 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Name:                                                                           
Name                            
  4 20 20 ALPHA INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
  6  2 16 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Employee Number:                                                                
Employee Number                 
  6 20  8 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
  8  9  9 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Division:                                                                       
Division                        
  8 20  2 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 10  6 12 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Cost Center:                                                                    
Cost Center                     
 10 20  4 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 12  9  9 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Location:                                                                       
Location                        
 12 20 20 ALPHA INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 14  5 13 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Mail Station:                                                                   
Mail Station                    
 14 20  4 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 16  5 13 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Phone Number:                                                                   
Phone Number                    
 16 20 15 NOT_LIMITED INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 18  6 12 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Message Id.:                                                                    
Message Id.                     
 18 20  4 ALPHA_NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
::::::::::
BATCH_02.TST
::::::::::
--
--              Form Definition Language Example
--   Identification: BATCH_02
--   Invalid parameter values and keywords (9 errors).
--


--
-- Form Defined
--
        Form( Size => (18, 40), Position => (3, 20) );

--
-- Title on Form
--
        Text( Value => "Employee Identification Record
              Position => (1, 6) );

--
-- Input Employee Name
--
        Text( Value => "Name:", Position => (4, 12) );

        Field( Name => "Name", Potion => (4, 20), Length => 20,
               Limitation => Alphabetic );

--
-- Input Employee Number
--
        Text( Value => "Employee Number:", Position => (A, 2) );

        Field( Name => "Employee Number", Position => (6; 20),
               Length => 8, Limitation => Numeric );

--
-- Input Division
--
        Text( Value => "Division:", Position => (8, -9) );

        Field( Name => "Division", Position => (8, 20),
               Length => 2, Limitation => Numeric );

--
-- Cost Center
--
        Text( Value => "Cost Center:", Position => (10, 6)

        Field( Name => "Cost Center", Position => (10, 20),
               Length => 4, Limitation => Numeric );

--
-- Location
--
        Text( Value => "Location:", Position => (12, 9) );

        Field( Name => "Location", Position => (12, 20),
               Length => a, Limitation => Alphabetic );

--
-- Mail Station
--
        Text( Value => "Mail Station:", Position => (14, 5) );

        Field( Name => "Mail Station", Position => (14, 20),
               Length => 4, Limitation => Numeric );

--
-- Phone Number
--
        Text( Value => "Phone Number:", Position => (16, 5) );

        Field( Name => "Phone Number", Position => 20,
               Length => 15, Limitation => Not_Limited );

--
-- Message ID
--
        Text( Value => "Message Id.:", Position => (6) );

        Field( Name => "Message Id.", Position => (18, 20),
               Length => 20, Limitation => Alphanumeric );
::::::::::
BATCH_02.LST
::::::::::
Batch Forms Generator running on  3/17/1985
    Input  File: batch_02.test                                     
    Output File: batch_02.form                                     

    1 --
    2 --              Form Definition Language Example
    3 --   Identification: BATCH_02
    4 --   Invalid parameter values and keywords (9 errors).
    5 --
    6 
    7 
    8 --
    9 -- Form Defined
   10 --
   11         Form( Size => (18, 40), Position => (3, 20) );
   12 
   13 --
   14 -- Title on Form
   15 --
   16         Text( Value => "Employee Identification Record
   17               Position => (1, 6) );
***** Invalid Format for String
      Error is at or near Employee Identification Record
   18 
   19 --
   20 -- Input Employee Name
   21 --
   22         Text( Value => "Name:", Position => (4, 12) );
   23 
   24         Field( Name => "Name", Potion => (4, 20), Length => 20,
***** Unrecognized Keyword Encountered
      Error is at or near Potion
   25                Limitation => Alphabetic );
   26 
   27 --
   28 -- Input Employee Number
   29 --
   30         Text( Value => "Employee Number:", Position => (A, 2) );
***** Expected Number
      Error is at or near A
   31 
   32         Field( Name => "Employee Number", Position => (6; 20),
***** Expected ','
      Error is at or near ;
   33                Length => 8, Limitation => Numeric );
   34 
   35 --
   36 -- Input Division
   37 --
   38         Text( Value => "Division:", Position => (8, -9) );
***** Unrecognized Token Encountered
      Error is at or near ,
   39 
   40         Field( Name => "Division", Position => (8, 20),
   41                Length => 2, Limitation => Numeric );
   42 
   43 --
   44 -- Cost Center
   45 --
   46         Text( Value => "Cost Center:", Position => (10, 6)
   47 
   48         Field( Name => "Cost Center", Position => (10, 20),
***** Expected ',' or ')'
      Error is at or near Field
   49                Length => 4, Limitation => Numeric );
   50 
   51 --
   52 -- Location
   53 --
   54         Text( Value => "Location:", Position => (12, 9) );
   55 
   56         Field( Name => "Location", Position => (12, 20),
   57                Length => a, Limitation => Alphabetic );
***** Expected Number
      Error is at or near a
   58 
   59 --
   60 -- Mail Station
   61 --
   62         Text( Value => "Mail Station:", Position => (14, 5) );
   63 
   64         Field( Name => "Mail Station", Position => (14, 20),
   65                Length => 4, Limitation => Numeric );
   66 
   67 --
   68 -- Phone Number
   69 --
   70         Text( Value => "Phone Number:", Position => (16, 5) );
   71 
   72         Field( Name => "Phone Number", Position => 20,
***** Expected '('
      Error is at or near 20
   73                Length => 15, Limitation => Not_Limited );
   74 
   75 --
   76 -- Message ID
   77 --
   78         Text( Value => "Message Id.:", Position => (6) );
***** Expected ','
      Error is at or near )
   79 
   80         Field( Name => "Message Id.", Position => (18, 20),
   81                Length => 20, Limitation => Alphanumeric );

<<<<<           9 Error(s) Detected >>>>>
<<<<< Form NOT Saved >>>>>
::::::::::
BATCH_03.TST
::::::::::
--
--              Form Definition Language Example
--   Identification: BATCH_03
--   Invalid Form statement causing many warning messages (1 error).
--


--
-- Form Defined
--
        Form( Size => (18, 40), Postion => (3, 20) );

--
-- Title on Form
--
        Text( Value => "Employee Identification Record",
              Position => (1, 6) );

--
-- Input Employee Name
--
        Text( Value => "Name:", Position => (4, 12) );

        Field( Name => "Name", Position => (4, 20), Length => 20,
               Limitation => Alphabetic );

--
-- Input Employee Number
--
        Text( Value => "Employee Number:", Position => (6, 2) );

        Field( Name => "Employee Number", Position => (6, 20),
               Length => 8, Limitation => Numeric );

--
-- Input Division
--
        Text( Value => "Division:", Position => (8, 9) );

        Field( Name => "Division", Position => (8, 20),
               Length => 2, Limitation => Numeric );

--
-- Cost Center
--
        Text( Value => "Cost Center:", Position => (10, 6) );

        Field( Name => "Cost Center", Position => (10, 20),
               Length => 4, Limitation => Numeric );

--
-- Location
--
        Text( Value => "Location:", Position => (12, 9) );

        Field( Name => "Location", Position => (12, 20),
               Length => 20, Limitation => Alphabetic );

--
-- Mail Station
--
        Text( Value => "Mail Station:", Position => (14, 5) );

        Field( Name => "Mail Station", Position => (14, 20),
               Length => 4, Limitation => Numeric );

--
-- Phone Number
--
        Text( Value => "Phone Number:", Position => (16, 5) );

        Field( Name => "Phone Number", Position => (16, 20),
               Length => 15, Limitation => Not_Limited );

--
-- Message ID
--
        Text( Value => "Message Id.:", Position => (18, 6) );

        Field( Name => "Message Id.", Position => (18, 20),
               Length => 20, Limitation => Alphanumeric );
::::::::::
BATCH_03.LST
::::::::::
Batch Forms Generator running on  3/17/1985
    Input  File: batch_03.test                                     
    Output File: batch_03.form                                     

    1 --
    2 --              Form Definition Language Example
    3 --   Identification: BATCH_03
    4 --   Invalid Form statement causing many warning messages (1 error).
    5 --
    6 
    7 
    8 --
    9 -- Form Defined
   10 --
   11         Form( Size => (18, 40), Postion => (3, 20) );
***** Unrecognized Keyword Encountered
      Error is at or near Postion
   12 
   13 --
   14 -- Title on Form
   15 --
   16         Text( Value => "Employee Identification Record",
   17               Position => (1, 6) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   18 
   19 --
   20 -- Input Employee Name
   21 --
   22         Text( Value => "Name:", Position => (4, 12) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   23 
   24         Field( Name => "Name", Position => (4, 20), Length => 20,
   25                Limitation => Alphabetic );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   26 
   27 --
   28 -- Input Employee Number
   29 --
   30         Text( Value => "Employee Number:", Position => (6, 2) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   31 
   32         Field( Name => "Employee Number", Position => (6, 20),
   33                Length => 8, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   34 
   35 --
   36 -- Input Division
   37 --
   38         Text( Value => "Division:", Position => (8, 9) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   39 
   40         Field( Name => "Division", Position => (8, 20),
   41                Length => 2, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   42 
   43 --
   44 -- Cost Center
   45 --
   46         Text( Value => "Cost Center:", Position => (10, 6) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   47 
   48         Field( Name => "Cost Center", Position => (10, 20),
   49                Length => 4, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   50 
   51 --
   52 -- Location
   53 --
   54         Text( Value => "Location:", Position => (12, 9) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   55 
   56         Field( Name => "Location", Position => (12, 20),
   57                Length => 20, Limitation => Alphabetic );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   58 
   59 --
   60 -- Mail Station
   61 --
   62         Text( Value => "Mail Station:", Position => (14, 5) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   63 
   64         Field( Name => "Mail Station", Position => (14, 20),
   65                Length => 4, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   66 
   67 --
   68 -- Phone Number
   69 --
   70         Text( Value => "Phone Number:", Position => (16, 5) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   71 
   72         Field( Name => "Phone Number", Position => (16, 20),
   73                Length => 15, Limitation => Not_Limited );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   74 
   75 --
   76 -- Message ID
   77 --
   78         Text( Value => "Message Id.:", Position => (18, 6) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   79 
   80         Field( Name => "Message Id.", Position => (18, 20),
   81                Length => 20, Limitation => Alphanumeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>

<<<<<           1 Error(s) Detected >>>>>
<<<<< Form NOT Saved >>>>>
::::::::::
BATCH_04.TST
::::::::::
--
--              Form Definition Language Example
--   Identification: BATCH_04
--   Missing parameters for Field and Text statements (11 errors).
--


--
-- Form Defined
--
        Form( Size => (18, 40), Position => (3, 20) );

--
-- Title on Form
--
        Text( Value => "Employee Identification Record",
              Position => (1, 6) );

--
-- Input Employee Name
--
        Text( Value => "Name:", Position => (4, 12) );

        Field( Name => "Name", Position => (4, 20), Length => 20);
        Field( Position => (2,2) );
        Field( Length => 10);
        Field (Name=>"Myname");
        Field (Name=>"Myname 2",position=>(1,2));
        Field (name=>"Myname 3",length=>2);
        Field (position=>(1,5),length=>5);
        Field ();
        Text ();

--
-- Input Employee Number
--
        Text( Value => "Employee Number:", Position => (6, 2) );

        Field( Name => "Employee Number", Position => (6, 20),
               Length => 8, Limitation => Numeric );

--
-- Input Division
--
        Text( Value => "Division:", Position => (8, 9) );

        Field( Name => "Division", Position => (8, 20),
               Length => 2, Limitation => Numeric );

--
-- Cost Center
--
        Text( Value => "Cost Center:", Position => (10, 6) );

        Field( Name => "Cost Center", Position => (10, 20),
               Length => 4, Limitation => Numeric );

--
-- Location
--
        Text( Value => "Location:", Position => (12, 9) );

        Field( Name => "Location", Position => (12, 20),
               Length => 20, Limitation => Alphabetic );

--
-- Mail Station
--
        Text( Value => "Mail Station:", Position => (14, 5) );

        Field( Name => "Mail Station", Position => (14, 20),
               Length => 4, Limitation => Numeric );

--
-- Phone Number
--
        Text( Value => "Phone Number:", Position => (16, 5) );

        Field( Name => "Phone Number", Position => (16, 20),
               Length => 15, Limitation => Not_Limited );

--
-- Message ID
--
        Text( Value => "Message Id.:", Position => (18, 6) );

        Field( Name => "Message Id.", Position => (18, 20),
               Length => 20, Limitation => Alphanumeric );
::::::::::
BATCH_04.LST
::::::::::
Batch Forms Generator running on  3/17/1985
    Input  File: batch_04.test                                     
    Output File: batch_04.form                                     

    1 --
    2 --              Form Definition Language Example
    3 --   Identification: BATCH_04
    4 --   Missing parameters for Field and Text statements (11 errors).
    5 --
    6 
    7 
    8 --
    9 -- Form Defined
   10 --
   11         Form( Size => (18, 40), Position => (3, 20) );
   12 
   13 --
   14 -- Title on Form
   15 --
   16         Text( Value => "Employee Identification Record",
   17               Position => (1, 6) );
   18 
   19 --
   20 -- Input Employee Name
   21 --
   22         Text( Value => "Name:", Position => (4, 12) );
   23 
   24         Field( Name => "Name", Position => (4, 20), Length => 20);
   25         Field( Position => (2,2) );
***** NAME Parameter is Missing
      Error is at or near )
***** LENGTH Parameter is Missing
      Error is at or near )
   26         Field( Length => 10);
***** NAME Parameter is Missing
      Error is at or near )
***** POSITION Parameter is Missing
      Error is at or near )
   27         Field (Name=>"Myname");
***** POSITION Parameter is Missing
      Error is at or near )
***** LENGTH Parameter is Missing
      Error is at or near )
   28         Field (Name=>"Myname 2",position=>(1,2));
***** LENGTH Parameter is Missing
      Error is at or near )
   29         Field (name=>"Myname 3",length=>2);
***** POSITION Parameter is Missing
      Error is at or near )
   30         Field (position=>(1,5),length=>5);
***** NAME Parameter is Missing
      Error is at or near )
   31         Field ();
***** Expected Identifier
      Error is at or near )
   32         Text ();
***** Expected Identifier
      Error is at or near )
   33 
   34 --
   35 -- Input Employee Number
   36 --
   37         Text( Value => "Employee Number:", Position => (6, 2) );
   38 
   39         Field( Name => "Employee Number", Position => (6, 20),
   40                Length => 8, Limitation => Numeric );
   41 
   42 --
   43 -- Input Division
   44 --
   45         Text( Value => "Division:", Position => (8, 9) );
   46 
   47         Field( Name => "Division", Position => (8, 20),
   48                Length => 2, Limitation => Numeric );
   49 
   50 --
   51 -- Cost Center
   52 --
   53         Text( Value => "Cost Center:", Position => (10, 6) );
   54 
   55         Field( Name => "Cost Center", Position => (10, 20),
   56                Length => 4, Limitation => Numeric );
   57 
   58 --
   59 -- Location
   60 --
   61         Text( Value => "Location:", Position => (12, 9) );
   62 
   63         Field( Name => "Location", Position => (12, 20),
   64                Length => 20, Limitation => Alphabetic );
   65 
   66 --
   67 -- Mail Station
   68 --
   69         Text( Value => "Mail Station:", Position => (14, 5) );
   70 
   71         Field( Name => "Mail Station", Position => (14, 20),
   72                Length => 4, Limitation => Numeric );
   73 
   74 --
   75 -- Phone Number
   76 --
   77         Text( Value => "Phone Number:", Position => (16, 5) );
   78 
   79         Field( Name => "Phone Number", Position => (16, 20),
   80                Length => 15, Limitation => Not_Limited );
   81 
   82 --
   83 -- Message ID
   84 --
   85         Text( Value => "Message Id.:", Position => (18, 6) );
   86 
   87         Field( Name => "Message Id.", Position => (18, 20),
   88                Length => 20, Limitation => Alphanumeric );

<<<<<          11 Error(s) Detected >>>>>
<<<<< Form NOT Saved >>>>>
::::::::::
BATCH_05.TST
::::::::::
--
--              Form Definition Language Example
--   Identification: BATCH_05
--   No Form definition statement (3 errors).
--

--
-- No Form Definition
--

--
-- Title on Form
--
        Text( Value => "Employee Identification Record",
              Position => (1, 6) );

--
-- Input Employee Name
--
        Text( Value => "Name:", Postion => (4, 12) );

        Field( Name => "Name", Position => (4, 20), Length => 20,
               Limitation => Alphabetic );

--
-- Input Employee Number
--
        Text( Value => "Employee Number:", Position => (6, 2) );

        Field( Name => "Employee Number", Position => (6, 20),
               Length => 8, Limitation => Numeric );

--
-- Input Division
--
        Text( Value => "Division:", Position => (8, 9) );

        Field( Name => "Division", Position => (8, 20),
               Length => 2, Limitation => Numeric );

--
-- Cost Center
--
        Text( Value => "Cost Center:");

        Field( Name => "Cost Center", Position => (10, 20),
               Length => 4, Limitation => Numeric );

--
-- Location
--
        Text( Value => "Location:", Position => (12, 9) );

        Field( Name => "Location", Position => (12, 20),
               Length => 20, Limitation => Alphabetic );

--
-- Mail Station
--
        Text( Value => "Mail Station:", Position => (14, 5) );

        Field( Name => "Mail Station", Position => (14, 20),
               Length => 4, Limitation => Numeric );

--
-- Phone Number
--
        Text( Value => "Phone Number:", Position => (16, 5) );

        Field( Name => "Phone Number", Position => (16, 20),
               Length => 15, Limitation => Not_Limited );

--
-- Message ID
--
        Text( Value => "Message Id.:", Position => (18, 6) );

        Field( Name => "Message Id.", Position => (18, 20),
               Length => 20, Limitation => Alphanumeric );
::::::::::
BATCH_05.LST
::::::::::
Batch Forms Generator running on  3/17/1985
    Input  File: batch_05.test                                     
    Output File: batch_05.form                                     

    1 --
    2 --              Form Definition Language Example
    3 --   Identification: BATCH_05
    4 --   No Form definition statement (3 errors).
    5 --
    6 
    7 --
    8 -- No Form Definition
    9 --
   10 
   11 --
   12 -- Title on Form
   13 --
   14         Text( Value => "Employee Identification Record",
   15               Position => (1, 6) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   16 
   17 --
   18 -- Input Employee Name
   19 --
   20         Text( Value => "Name:", Postion => (4, 12) );
***** Unrecognized Keyword Encountered
      Error is at or near Postion
   21 
   22         Field( Name => "Name", Position => (4, 20), Length => 20,
   23                Limitation => Alphabetic );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   24 
   25 --
   26 -- Input Employee Number
   27 --
   28         Text( Value => "Employee Number:", Position => (6, 2) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   29 
   30         Field( Name => "Employee Number", Position => (6, 20),
   31                Length => 8, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   32 
   33 --
   34 -- Input Division
   35 --
   36         Text( Value => "Division:", Position => (8, 9) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   37 
   38         Field( Name => "Division", Position => (8, 20),
   39                Length => 2, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   40 
   41 --
   42 -- Cost Center
   43 --
   44         Text( Value => "Cost Center:");
***** POSITION Parameter is Missing
      Error is at or near )
   45 
   46         Field( Name => "Cost Center", Position => (10, 20),
   47                Length => 4, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   48 
   49 --
   50 -- Location
   51 --
   52         Text( Value => "Location:", Position => (12, 9) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   53 
   54         Field( Name => "Location", Position => (12, 20),
   55                Length => 20, Limitation => Alphabetic );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   56 
   57 --
   58 -- Mail Station
   59 --
   60         Text( Value => "Mail Station:", Position => (14, 5) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   61 
   62         Field( Name => "Mail Station", Position => (14, 20),
   63                Length => 4, Limitation => Numeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   64 
   65 --
   66 -- Phone Number
   67 --
   68         Text( Value => "Phone Number:", Position => (16, 5) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   69 
   70         Field( Name => "Phone Number", Position => (16, 20),
   71                Length => 15, Limitation => Not_Limited );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>
   72 
   73 --
   74 -- Message ID
   75 --
   76         Text( Value => "Message Id.:", Position => (18, 6) );
<<<<< TEXT Statement Correct but FORM Not Open >>>>>
   77 
   78         Field( Name => "Message Id.", Position => (18, 20),
   79                Length => 20, Limitation => Alphanumeric );
<<<<< FIELD Statement Correct but FORM Not Open >>>>>

<<<<<           3 Error(s) Detected >>>>>
<<<<< Form NOT Saved >>>>>
::::::::::
EXECUTOR.TST
::::::::::
Form ( Size => (10, 60), Position => (10, 10) );

Text ( Value => "Form Executor Test", Position => (1, 10) );

Text ( Value => "Alphabetic Field ( A-Z a-z ' . , - ):",
       Position => (3, 1) );

Field ( Name => "Alpha Field", Position => (3, 45),
        Length => 10, Limitation => Alphabetic );

Text ( Value => "Alpha Numeric Field ( A-Z a-z 0-9 ' . , - ):",
       Position => (5, 1) );

Field ( Name => "Alpha Numeric Field", Position => (5, 45),
        Length => 10, Limitation => AlphaNumeric );

Text ( Value => "Numeric Field ( 0-9 , . - + $ % ):",
       Position => (7, 1) );

Field ( Name => "Numeric Field", Position => (7, 45),
        Length => 10, Limitation => Numeric );

Text ( Value => "Not Limited Field (anything):",
       Position => (9, 1) );

Field ( Name => "Not Limited Field", Position => (9, 45),
        Length => 10 );
::::::::::
EXECUTOR.LST
::::::::::
Batch Forms Generator running on  3/17/1985
    Input  File: executor.test                                     
    Output File: executor.form                                     

    1 Form ( Size => (10, 60), Position => (10, 10) );
    2 
    3 Text ( Value => "Form Executor Test", Position => (1, 10) );
    4 
    5 Text ( Value => "Alphabetic Field ( A-Z a-z ' . , - ):",
    6        Position => (3, 1) );
    7 
    8 Field ( Name => "Alpha Field", Position => (3, 45),
    9         Length => 10, Limitation => Alphabetic );
   10 
   11 Text ( Value => "Alpha Numeric Field ( A-Z a-z 0-9 ' . , - ):",
   12        Position => (5, 1) );
   13 
   14 Field ( Name => "Alpha Numeric Field", Position => (5, 45),
   15         Length => 10, Limitation => AlphaNumeric );
   16 
   17 Text ( Value => "Numeric Field ( 0-9 , . - + $ % ):",
   18        Position => (7, 1) );
   19 
   20 Field ( Name => "Numeric Field", Position => (7, 45),
   21         Length => 10, Limitation => Numeric );
   22 
   23 Text ( Value => "Not Limited Field (anything):",
   24        Position => (9, 1) );
   25 
   26 Field ( Name => "Not Limited Field", Position => (9, 45),
   27         Length => 10 );

<<<<<           0 Error(s) Detected >>>>>
<<<<< Form Saved >>>>>
::::::::::
EXECUTOR.FRM
::::::::::
 10 60 10 10 CLEAR
                                
  1 10 18 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Form Executor Test                                                              
                                
  3  1 37 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Alphabetic Field ( A-Z a-z ' . , - ):                                           
Alpha Field                     
  3 45 10 ALPHA INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
  5  1 44 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Alpha Numeric Field ( A-Z a-z 0-9 ' . , - ):                                    
Alpha Numeric Field             
  5 45 10 ALPHA_NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
  7  1 34 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Numeric Field ( 0-9 , . - + $ % ):                                              
Numeric Field                   
  7 45 10 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
  9  1 29 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Not Limited Field (anything):                                                   
Not Limited Field               
  9 45 10 NOT_LIMITED INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
::::::::::
EXEC_TEST.ADA
::::::::::
with FORM_EXECUTOR,
     CURRENT_EXCEPTION,
     TEXT_IO;

procedure EXEC_TEST is

    FORM : FORM_EXECUTOR.FORM_PTR;

begin

    FORM := FORM_EXECUTOR.ACCESS_FORM ("  EXECUTOR.FORM  ");

    FORM_EXECUTOR.PRESENT_FORM (FORM);

    FORM_EXECUTOR.RELEASE_FORM (FORM);

exception
    when others =>
        TEXT_IO.PUT (CURRENT_EXCEPTION.NAME);

end EXEC_TEST;

pragma MAIN;
::::::::::
EXEC_TEST.TST
::::::::::
                           Form Executor Formal Test

        Invoke the Form Executor test program 'Exec_Test'.  This will
        load and present a form.

        1. Make sure legal characters can be entered into each field.

        2. Make sure illegal characters cannot be entered into each field.

        3. Test field editing functions

                Delete char     ^D      VT-F6
                Delete field    ^E      VT-F11
                Insert char     ^V      VT-F7
                Move left       ^H      Left arrow
                Move right      ^L      Right arrow
                Rubout          DEL     VT-F8

        4. Test field movement functions

                Next field      ^I      VT-F5
                                ^J      Down arrow
                Previous field  ^O      VT-F1
                                ^K      Up arrow
                Accept form     ^M      VT-F4
::::::::::
DISPLAY_FORM.ADA
::::::::::
with FORM_EXECUTOR, CURRENT_EXCEPTION, TEXT_IO;

procedure DISPLAY_FORM is

  FORM: FORM_EXECUTOR.FORM_PTR;

  NAME: STRING(1..20);
  NUMBER: STRING(1..8);
  DIVISION: STRING(1..2);
  COST_CENTER: STRING(1..4);
  LOCATION: STRING(1..20);
  MAIL_STATION: STRING(1..4);
  PHONE_NUMBER: STRING(1..15);
  MESSAGE_ID: STRING(1..4);

begin

  FORM := FORM_EXECUTOR.ACCESS_FORM( "DISPLAY_FORM.FORM" );

  FORM_EXECUTOR.PRESENT_FORM( FORM );

  FORM_EXECUTOR.QUERY_FIELD( FORM, "Cost Center", COST_CENTER );
  FORM_EXECUTOR.QUERY_FIELD( FORM, "Division", DIVISION );
  FORM_EXECUTOR.QUERY_FIELD( FORM, "Employee Number", NUMBER );
  FORM_EXECUTOR.QUERY_FIELD( FORM, "Location", LOCATION );
  FORM_EXECUTOR.QUERY_FIELD( FORM, "Mail Station", MAIL_STATION );
  FORM_EXECUTOR.QUERY_FIELD( FORM, "Message Id.", MESSAGE_ID );
  FORM_EXECUTOR.QUERY_FIELD( FORM, "Name", NAME );
  FORM_EXECUTOR.QUERY_FIELD( FORM, "Phone Number", PHONE_NUMBER );

  FORM_EXECUTOR.CLEAR_FORM( FORM );

  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Cost Center", COST_CENTER );
  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Division", DIVISION );
  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Employee Number", NUMBER );
  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Location", LOCATION );
  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Mail Station", MAIL_STATION );
  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Message Id.", MESSAGE_ID );
  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Name", NAME );
  FORM_EXECUTOR.MODIFY_FIELD( FORM, "Phone Number", PHONE_NUMBER );

  FORM_EXECUTOR.PRESENT_FORM( FORM );

  FORM_EXECUTOR.RELEASE_FORM( FORM );

exception
  when others=>
    TEXT_IO.PUT( CURRENT_EXCEPTION.NAME );

end DISPLAY_FORM;

pragma MAIN;
::::::::::
DISPLAY_FORM.FRM
::::::::::
 18 40  3 20 CLEAR
                                
  1  6 30 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Employee Identification Record                                                  
                                
  4 13  5 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Name:                                                                           
Name                            
  4 20 20 ALPHA INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
  6  2 16 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Employee Number:                                                                
Employee Number                 
  6 20  8 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
  8  9  9 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Division:                                                                       
Division                        
  8 20  2 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 10  6 12 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Cost Center:                                                                    
Cost Center                     
 10 20  4 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 12  9  9 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Location:                                                                       
Location                        
 12 20 20 ALPHA INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 14  5 13 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Mail Station:                                                                   
Mail Station                    
 14 20  4 NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 16  5 13 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Phone Number:                                                                   
Phone Number                    
 16 20 15 NOT_LIMITED INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 18  6 12 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Message Id.:                                                                    
Message Id.                     
 18 20  4 ALPHA_NUMERIC INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
::::::::::
INTERACT.FRM
::::::::::
 24 80  1  1 CLEAR
                                
  1  9 24 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Here is some plain text.                                                        
                                
  3  9 26 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Here is the first field-->                                                      
Field One                       
  3 35 10 ALPHA INPUT_OUTPUT REVERSE_RENDITION
                                                                                
                                
  5  1 34 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
       Here is the second field-->                                              
Field Two                       
  5 35 10 NUMERIC INPUT_OUTPUT REVERSE_RENDITION
                                                                                
                                
  7  1 34 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
         Here is the last field-->                                              
Field Three                     
  7 35 15 NOT_LIMITED INPUT_OUTPUT PRIMARY_RENDITION
                                                                                
                                
 23  9 24 NOT_LIMITED CONSTANT_TEXT PRIMARY_RENDITION
Here is more plain text.                                                        
::::::::::
TCF
::::::::::
fg|fgs|form generator for vt100:\
        :co#80:li#24:am:cl=50\E[;H\E[2J:bs:cm=5\E[%i%2;%2H:nd=2\E[C:up=2\E[A:\
        :ce=3\E[K:cd=50\E[J:so=2\E[7m:se=2\E[m:us=2\E[4m:ue=2\E[m:\
        :is=\E<\E=\E[?1l\E[?3l\E[?5l:\
        :ku=\E[A:kd=\E[B:kr=\E[C:kl=\E[D:\
        :kh=\E[H:pt:sr=5\EM:\
        :k1=\E[Z:l1=Back Tab:\
        :k2=\EOP:l2=PF1-Command:\
        :k3=\EOQ:l3=PF2-Help:\
        :k4=\EOM:l4=Enter-Return:\
        :k5=\T:l5=Tab-Tab:\
        :k6=\EOl:l6=','-Char Delete:\
        :k7=\EOn:l7='.'-Char Insert:\
        :k8=\177:l8=Del:\
        :k9=\EOR:l9=PF3-Exit Form:\
        :x0=\EOq:y0='1'-Copy Line:\
        :x1=\EOm:y1='-'-Line Erase:\
        :x2=\EOS:y2=PF4-Line Delete:\
        :x3=\EOp:y3='0'-Line Insert:\
        :x4=\EOr:y4='2'-F4-Move Line:\
        :x5=\EOt:y5='4'-Copy Field:\
        :x6=\EOw:y6='7'-Create Field:\
        :x7=\EOy:y7='9'-Delete Field:\
        :x8=\EOx:y8='8'-Modify Field:\
        :x9=\EOu:y9='5'-Move Field:
d1|vt100|vt-100|pt100|pt-100|dec vt100:\
        :co#80:li#24:am:cl=50\E[;H\E[2J:bs:cm=5\E[%i%2;%2H:nd=2\E[C:up=2\E[A:\
        :ce=3\E[K:cd=50\E[J:so=2\E[7m:se=2\E[m:us=2\E[4m:ue=2\E[m:\
        :is=\E>\E[?3l\E[?4l\E[?5l\E[?7h\E[?8h:ks=\E[?1h\E=:ke=\E[?1l\E>:\
        :if=/usr/lib/tabset/vt100:ku=\EOA:kd=\EOB:kr=\EOC:kl=\EOD:\
        :kh=\E[H:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:pt:sr=5\EM:
dt|vt100w|vt-100w|pt100w|pt-100w|dec vt100 132 cols:\
        :co#128:li#24:is=\E>\E[?3h\E[?4l\E[?5l\E[?7h\E[?8h:tc=vt100:
dv|vt52|dec vt52:\
        :bs:cd=\EJ:ce=\EK:cl=\EH\EJ:cm=\EY%+ %+ :co#80:li#24:nd=\EC:\
        :pt:sr=\EI:up=\EA:ku=\EA:kd=\EB:kr=\EC:kl=\ED:
d5|vi50|Visual 50:\
        :al=\EL:ca=\015\EK:\
        :l1=F1:k1=\EP:l2=F2:k2=\EQ:\
        :pt:bs:cd=\EJ:ce=\EK:cl=\EH\EJ:cm=\EY%+ %+ :co#80:dl=\EM:\
        :li#24:nd=\EC:pt:se=\ET:so=\EU:sf=\ED:sr=\EI:up=\EA:\
        :kl=\ED:vb=\E9@\E9P\E9@\E9P\E9@\E9P\E9@\E9P:
