 
-------- SIMTEL20 Ada Software Repository Prologue ------------
--
-- Unit name    : program Load_AR_Tape
-- Version      : 1.0
-- Author       : A. F. Niessner, Jr.
--              : ARL/Penn State University
--              : P.O. Box 30
--              : State College, Pa.  16804
-- DDN Address  : arlpsu@nems
-- Copyright    : (c) 1987 the Pennsylvania State University
-- Date created : February 9, 1987
-- Release date : February 9, 1987
-- Last update  : March 7, 1987
-- Machine/System Compiled/Run on : Data General MV10000,
--                                : Rolm ADE
--
---------------------------------------------------------------
--
-- Keywords     : Ada Repository, ANSI Standard Tapes,
--              : Automated Loading
-- Abstract     : The program, Load_AR_Tape, and it's supporting
--                packages, automate the process of loading the
--                ANSI standard tape copies into a Data General
--                MV10000.  The directory structure of the Ada
--                repository is preserved.  The dynamic strings
--                package, DYN, found in the Ada Repository as
--                PD<ADA.COMPONENTS>DSTR3.SRC, is used by this
--                program.
--
------------------ Revision history ---------------------------
--
-- DATE         VERSION AUTHOR                  HISTORY
-- 3/7/87       1.0     A. F. Niessner, Jr.     Initial Release
--
------------------ Distribution and Copyright -----------------
--
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--
 
