-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Cost Estimation and Poject Scheduling Tasks
-- Version      : 1.0
-- Author       : Ford Aeospace and Communications Corp
--              : 3939 Fabian Way,
--              : Palo Alto, CA 94303
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 
-- Date created : 1985
-- Release date : 1985
-- Last update  : 1985
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstact      : The cost estimation tool uses the COCOMO model.
----------------: It produces man-power and schedule estimates.  The
----------------: project scheduler is based on SIMPERT which is a
----------------: Monte Carlo simulation and review technique.  It 
----------------: is useful in assessing the effects of requirement 
----------------: changes and schedule delays, and in risk analysis.
----------------: It produces critical path and schedule, the
----------------: probability of completing on schedule, and Gantt
----------------: chart graphics.  The Input File generator allows
----------------: the user to build input files for COCOMO or
----------------: SIMPERT, and then to modify such files.
----------------:
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
--  DATE    VERSION AUTHOR                    HISTORY 
--  1985    1.0     Ford Aerospace and        Initial Release
--                  Communications Corp.
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
