-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Kalman Filter Tracking
-- Version      : 1.0
-- Author       : Sanders Associates, Inc.
--              : 95 Canal Street, Nashua, NH  03061
--              : Daryl R. Winters
--              : (603) 885-9225
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Sanders Associates, Inc.
-- Date created : June, 1985
-- Release date : June, 1985
-- Last update  : 
-- Machine/System Compiled/Run on : DEC Ada / VMS 
--       :         Started design with VMS TeleSoft 2.1
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract   : This tool will consist of a Kalman Filter, 
----------------: a simple track-plot correlation model, an 
----------------: accounting procedure which handles track
----------------: maintenance details, and an output procedure.  
----------------: The filter will be callable from outside the 
----------------: package as well as internally.
----------------:
----------------: This tool was developed as a precuresor for
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been   
----------------: demonstrated.
----------------: 
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE       VERSION        AUTHOR                  HISTORY 
-- 5/85       1.0            Sanders Associates      Initial Release                                                          
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------

