-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : package LOGICAL
-- Version      : 1.0
-- Author       : Joseph M. Orost
--              : Concurrent Computer Corporation
--              : 106 Apple St.
--              : Tinton Falls, NJ  07724
-- DDN Address  : vax135!petsd!joe@BERKELEY
-- Copyright    : ** not copyright **
-- Date created :  June 1, 1986
-- Release date :  June 13, 1986
-- Last update  :
-- Machine/System Compiled/Run on : CCUR_3200MPS, C3-Ada R00-00
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  LOGICAL OPERATIONS
--
-- Abstract     :  This package provides logical operations
----------------:  such as AND, OR, XOR, NOT, SHIFT, ROTATE,
----------------:  on operands of type INTEGER.  It is portable 
----------------:  to any two's complement machine.  For
----------------:  increased efficiency, the body can be
----------------:  re-implemented via PRAGMA interface(assembler.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 06/13/86	  1.0	Orost   		Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
