
-------- SIMTEL20 Ada Software Repository Prologue ------------
--
-- Unit name    : MATHFUN
-- Version      : 1.0
-- Author:	David Kwong
--              Jet Propulsion Laboratory/CalTech
--              MS 301-125J
--              4800 Oak Grove Drive
--              Pasadena, CA 91109
--              (818) 354-8285
-- DDN Address  : N/A
-- Copyright    : 1986 (c) David Kwong
-- Date created :  12/23/86
-- Release date :  12/23/86
-- Last update  :  12/23/86
-- Machine/System Compiled/Run on : VAX 11/780, VMS 4.4, DEC Ada
--
---------------------------------------------------------------
--
-- Keywords     :  Math Functions, Arrays
--
-- Abstract     :  
-- MATHFUN - Selected math functions for integer and floating point
-- math.  Functions for one- and two-dimensional arrays are included.
--
-- MATHFUN.SRC -- This file contains math functions and array
-- functions programs with test programs.  The programs must be compiled
-- in this order:
--
-- 1) MATHGENI -- generic package of integer math functions
-- 2) MATHGENF -- generic package of floating point math functions
-- 3) MATHFUNG -- generic package of three component types
-- 4) ARRAYFG1 -- generic package of one dimensional array functions (vectors)
-- 5) ARRAYFG2 -- generic package of two dimensional array functions (matrices)
-- 6) ARRAYFG -- generic package of three array component types
-- 7) MATHTEST -- test procedure for both array and math functions
--
-- Then link MATHTEST and run it.  An example output is MATHFUN.DAT.
--
------------------ Revision history ---------------------------
--
-- DATE         VERSION	AUTHOR                  HISTORY
-- 12/23/86	1.0	David Kwong		Initial Release
------------------ Distribution and Copyright -----------------
--
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- Restrictions on use or distribution:  NONE
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--
-------------------END-PROLOGUE--------------------------------
