
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : MATHLIB-TELESOFT and MATHLIB-DEC
-- Version      : 1.0
-- Author       : William Whitaker
--              : NOSC
--              : 
--              : 
-- DDN Address  : WWHITAKER at ECLB
-- Copyright    : (c) 
-- Date created :  28 June 85
-- Release date :  28 June 85
-- Last update  :  28 June 85
-- Released by  : Richard Conn (RCONN at SIMTEL20) with permission
-- Machine/System Compiled/Run on : Telesoft Ada (DEC VAX)
--					DEC Ada (DEC VAX)
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  Math, Math Functions
----------------:
--
-- Abstract     :  
----------------:  MATHLIB-TELESOFT and MATHLIB-DEC are two versions
-- of the same mathlib.  This library contains five Ada packages
-- which provide the following math functions:
--
--	SQRT (Square Root)	CBRT (Cube Root)
--	LOG (Base E)		LOG10 (Base 10)
--	EXP			**
--
--	SIN		COS		TAN
--	ASIN		ACOS		ATAN	ATAN2
--	SINH		COSH		TANH
--
-- Other functions are provided as well.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 19850628	1.0	William Whitaker	Initial Release to Repos
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
