-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Menu Manager Package
-- Version      : 1.0
-- Author       : Jerry Horsewood
--              : Adasoft, Inc, 9300
--              : Anapolis Road
--              : Lanham, MD 20706
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Adasoft, Inc.
-- Date created : 19 January 1985
-- Release date : May 1985
-- Last update  : May 1985
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : VIDEO is a menu manager package that is 
----------------: divided into four functional areas.  It will
----------------: provide application programmers with the 
----------------: ability to run various application systems     
----------------: from a menu driven user interface.                 
----------------: Applications to be invoked via menu selections
----------------: may be written in any language providing the
----------------: PRAGMA INTERFACE is supported.  The four 
----------------: functional areas are initialization of the 
----------------: overall application system, modeling of the 
----------------: application system, running the application,
----------------: and diagramming the system.
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 05/84           1.0  Jerry Horsewood         Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
