-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Command Language Interpreter (CLI)
-- Version      : 1.0
-- Author       : WIS JPMO
--              : Washington, D.C.  20330
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985
-- Date created : 1985
-- Release date : 1985
-- Last update  : 1985
-- Machine/System Compiled/Run on:
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : The Command Language Interpreter (CLI)
----------------: implements the tools found in chapters
----------------: one and two of "Software Tools in 
----------------: Pascal" by Brian W. Kernighan and P.J.
----------------: Plauger.  The commands available for 
----------------: execution are: copy, charcount, linecount,
----------------: wordcount, detab, entab, overstrike,
----------------: compress, expand, translit and quit.
----------------: Most of the commands read subsequent 
----------------: text from the terminal modifying it in
----------------: one way or another.
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 1985         1.0     WIS JPMO                Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
