-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Dynamic String Package    
-- Version      : 1.1
-- Author       : R. G. Cleaveland        
--              : WIS JPMO
--              : Washington, D.C.  20330
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  : cleave@dca-ems
-- Copyright    : (c) 1985 R. G. Cleaveland    
-- Date created : 18 Mar 1985
-- Release date : 1985
-- Last update  : R.G. Cleaveland  February, 1986
-- Machine/System Compiled/Run on : VAX 8600 / Ultrix / VERDIX 
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : This is a package of several string manipulation   
----------------: functions based on a built-in dynamic string type
----------------: DYN_STRING.  It is an adaptation and extension of
----------------: the package proposed by Sylvan Rubin of Ford     
----------------: Aerospace and Communications Corporation in the 
----------------: Nov/Dec 1984 issue of the Journal of Pascal, Ada and
----------------: Modula-2.  Some new functions have been added, and 
----------------: much of the body code has been rewritten.   
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  
----------------:
----------------: Additions and Fixes:
----------------: 06 Feb 85: CHAR changed to add the optional parameter POSIT.
----------------: 06 Feb 85: procedure SUBSTITUTE added.
----------------: 05 Apr 85: procedures UPPERCASE and CHECKBYTE added.
----------------: 04 Feb 86: style and formatting changes made, some 
----------------:            comments fixed.  Ported to VERDIX VADS 
----------------:            (VAX Ultrix version 5.1).
----------------: 10 Feb 86: Several bugs fixed, SIZE constrained, exception 
----------------:            for '&' generating too long a string added, 
----------------:            error in integer conversion fixed.  Functions 
----------------:            EQUALS, ">", "<=" and ">=" added.  Subtype 
----------------:            DS_POS incorporated.  
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 03/18/85     1.0     Richard G. Cleaveland   Initial Release
-- 03/14/86     1.1     Richard G. Cleaveland   Update
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------

