

-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : FGET
-- Version      : 1.0
-- Author       : Richard Conn
--              : TI Ada Technology Branch
--              : PO Box 801, MS 8007
--              : McKinney, TX  75069
-- DDN Address  : RCONN at SIMTEL20
-- Copyright    : N/A
-- Date created : 15 Apr 85
-- Release date : 15 Apr 85
-- Last update  : 15 Apr 85
-- Machine/System Compiled/Run on : DG MV 10000, ROLM ADE
--                                  DEC VAX 11/785, DEC Ada
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : character I/O, GETC, UNGETC, GETCH, GET_CHAR
----------------:
--
-- Abstract     :
--       Package FGET manipulates an object which is a text file. Its
-- main purpose is to return characters from this file, allowing one-character
-- look-ahead.  A character which has been obtained from the file via GETC can
-- be returned to the file by an UNGETC, in which case the next GETC will return
-- the same character again.  Additionally, GETC returns ASCII.CR if the end of
-- a text line is reached and ASCII.ETX if the end of the file is reached.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY
-- 4/15/85      1.0     Richard Conn            Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
