
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : LINKED_LIST
-- Version      : 1.0
-- Author       : Richard Conn
--              : Texas Instruments
--              : PO Box 801, Mail Stop 8007
--              : McKinney, TX  75069
-- DDN Address  : RCONN@SIMTEL20
-- Copyright    : (c) 1984 Richard Conn
-- Date created :  OCTOBER 2, 1984
-- Release date :  NOVEMBER 29, 1984
-- Last update  :  CONN NOVEMBER 29, 1984
-- Machine/System Compiled/Run on: DEC VAX/VMS, DEC Ada
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  DOUBLY-LINKED LIST
----------------:  LIST MANIPULATION
--
-- Abstract     :  This package provides a number of routines
----------------:  which can be used to manipulate a doubly-
----------------:  linked list.  See the visible section for
----------------:  a rather complete set of documentation on
----------------:  the routines.
----------------:  
----------------:  Each element of the list is of the following
----------------:  structure:
----------------:     RECORD
----------------:  	contents: element_object;  -- data
----------------:  	next:     element_pointer; -- ptr
----------------:	previous: element_pointer; -- ptr
----------------:     END RECORD;
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 11/29/84	   1.0	Richard Conn		Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------

