
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : SYSDEP2
-- Version      : 1.0
-- Author       : Stewart French
--              : Texas Instruments
--              : PO Box 801, MS 8007
--              : McKinney, TX  75069
-- DDN Address  : FRENCH%TI-EG at CSNET-RELAY
-- Copyright    : None
-- Date created :  10 Apr 85
-- Release date :  10 Apr 85
-- Last update  :  10 Apr 85
-- Machine/System Compiled/Run on : DG MV 10000, ROLM ADE
--					DEC VAX 11/785, DEC Ada
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  SYSTEM
----------------:  SYSTEM-DEPENDENCIES
--
-- Abstract     :  SYSDEP2 - System Dependency Package 2
----------------:  
--	SYSDEP2 provides a "standard" mechanism for character-at-a-time
-- I/O under Ada.  The I/O is without echo or special interpretation
-- (such as abort code trapping) on input.
--
--	This SYSDEP2 submission is implemented for the Data General
-- MV 10000 running the ROLM ADE and for the DEC VAX 11/785 running
-- DEC Ada.
----------------:  
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 4/10/85	  1.0	Stewart French		Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
