-- This is one of a number of optional PIWG_IO bodies.
-- This body is for systems that DO NOT have TEXT_IO 
--   the results are saved in memory, use debugger or other
--   method to read out.
--
--   Note : some other references to TEXT_IO may have to be removed.
--

package body PIWG_IO is -- A000044.ADA

  procedure PIWG_OUTPUT ( TESTNAME : in STRING ;
                          CLASSNAME : in STRING ;
                          CPU_DELTA : in DURATION ;
                          WALL_DELTA : in DURATION ;
                          NUM_OF_ITERATIONS : in INTEGER ;
                          TEST_DESC_1 : in STRING ;
                          TEST_DESC_2 : in STRING ;
                          TEST_DESC_3 : in STRING ) is
  begin
    SAVE_CPU_TIME := CPU_DELTA ;
    SAVE_WALL_TIME := WALL_DELTA ;
  end PIWG_OUTPUT ;

end PIWG_IO ;
