
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Ada Pretty Printing Program
-- Version      : 1.1
-- Author       : Marlow Henne (AF Armament Lab) and Larry Neal (Gen Res Corp)
--              : Air Force Armament Lab (DLMM)
--              : -and-
--              : General Research Corp, Ft Walton Beach, FL
--              : Submitted and Modified by Richard Conn (RCONN at SIMTEL20)
-- DDN Address  : 
-- Copyright    :
-- Date created :  2 July 85
-- Release date :  2 July 85
-- Last update  :  2 July 85
-- Machine/System Compiled/Run on : DEC VAX 11/785, DEC Pascal
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  Ada Pretty Printer, Pretty Printer, Pascal
----------------:
--
-- Abstract     :  
----------------:  This program takes as input an Ada program and
-- reformats the program according to a standard set of pretty printing
-- rules.  No effort is made to detect or correct syntactic errors.
-- See the comments at the front of the program for credits, revision
-- history, and details on the pretty printing rules and operation.
--
--	ADAFMT is the original program, extracted from NOSC-TECR with
-- permission of Col Bill Whitaker.  ADAFMT1 is a modified version
-- which contains one minor problem:  "package ... is new" constructs
-- cause the indentation level to increase.  Provided files include
-- a short documentation file (ADAFMT.DOC) and command files (ADAFMT.COM
-- and ADAFMT1.COM).
--
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 19850702	1.1	Marlow Henne		Initial release to repository
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
