-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Spelling Checker
-- Version      : 1.0
-- Author       : John Foreman
--              : Texas Instruments, Inc.
--              : P.O. Box 801 MS 8007
--              : McKinney, TX  75069
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Texas Instruments, Inc.
-- Date created : 14 December 1984
-- Release date : March 1985
-- Last update  : 
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : Procedure  SPELLER is an interactive spell
----------------: checking utility.  The "default" format shall
----------------: be interactive.  Options allow the user to 
----------------: *enable auxiliary dictionary search
----------------: *merge two or more dictionaries together
----------------: *list the contents of a specified dictionary
----------------: *execute in batch mode
----------------: *generate an output file containing all suspect
----------------:  words
----------------: *disable the MASTER dictionary and or enable
----------------:  the ACRONYM dictionary
----------------: This procedure establishes the first level user
----------------: interface.  From this level the user will be 
----------------: able to access the HELP facility, merge two or
----------------: more dictionaries, list out a dictionary and 
----------------: begin the spell checking process of a document.
----------------: 
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 03/85          1.0   John Foreman            Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
