
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : style_checker
-- Version      : 1.0
-- Author       : Texas Instruments
--              : Ada Technology Branch
--              : PO Box 801, MS 8007
--              : McKinney, TX  75069
--              : Note: Work done under contract to Naval Oceans Systems
--              :  Center (NOSC)
-- DDN Address  : JFOREMAN at ECLB
-- Copyright    : 
-- Date created :  17 Apr 85	
-- Release date :  17 Apr 85
-- Last update  :  17 Apr 85
-- Machine/System Compiled/Run on : DG MV 10000, ROLM ADE
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  Ada style checker, Ada style
----------------:
--
-- Abstract     :  
--   The style checker will examine an Ada program and try to pick pieces of
-- the program which follow incorrect style conventions.  These conventions
-- themselves will be determined by a file of parameters which can be
-- editted to "tailor" the style to local (or contractual) conventions.
--
--   Both physical and logical style features will be checked for including
-- indentation, use of blank space, names, use of reserved words (such as
-- restricting certain features, i.e. gotos), nesting levels, parameter
-- passing, and comments.
--
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 4/17/85	1.0	TI Ada Technology Branch	Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
