
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Combine and Break
-- Version      : 1.0
-- Author       : WIS JPMO
--              : Washington, DC
--              : 20330-6600
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1986, WIS JPMO
-- Date created : 
-- Release date : 
-- Last update  : 
-- Machine/System Compiled/Run on :WICAT/ROS TeleSoft
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract   : 
----------------: These tools are user to combine separate files
----------------: into a single file, and to break single files into
----------------: separate files.  The code works on file banners which
----------------: immediately precede each file.  These tools normally
----------------: are used to "break" a single source code file into the
----------------: compilable subunits of the file.  "Combine" is used to
----------------: append all of the subunits into one file.
----------------: 
----------------: This tool was developed as a precursor for 
----------------: the WWMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE           VERSION AUTHOR                  HISTORY 
--                1.0     WIS JPMO                Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------

