
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Propagation Predicton for Radio Communication
-- Version      : 1.0
-- Author       : IWG CORP.  
--              : 975 Hornblend St., Suite C
--              : San Diego, CA 92109
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1986, IWG Corp.
-- Date created : October, 1985
-- Release date : October, 1985
-- Last update  : 
-- Machine/System Compiled/Run on : TeleSoft 1.5
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract   : 
----------------: PROP_LINK is an interactive program to evaluate the
----------------: signal performance and noise of a set of RF
----------------: propagation links.  The program allows the user to
----------------: input transmission and receiver data for up to 300
----------------: nodes, each with up to 15 transmitters and 15
----------------: receivers.  RF propagation routines will be based on
----------------: the SIMSTAR RF propagation capabilities.
----------------: 
----------------: This tool was developed as a precursor for the WWMCCS
----------------: Information System (WIS).  An executable version of the 
----------------: tool has been demonstrated.  
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE           VERSION AUTHOR                  HISTORY 
-- 10/85          1.0   IWG                       Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------

