
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : EXPERT
-- Version      : 1.0
-- Author       : Alan McDonley
--              : Texas Instruments
--              : 
--              : 
-- DDN Address  : N/A
-- Copyright    : (c)
-- Date created :  11 Sep 85
-- Release date :  3 Dec 85
-- Last update  :  3 Dec 85
-- Machine/System Compiled/Run on : VAX 11/785, VMS 4.1, DEC Ada
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  Expert System, Artificial Intelligence
----------------:
--
-- Abstract     :  
----------------:  
-- EXPERT is a backward chaining or goal driven expert system.  It is
--based on two articles, first Sept 1981 BYTE (Duda and Gaschnig) 
--published the expert system in BASIC 
--skirting the use of recursion, second Jan/Feb 85 issue of 
--JOURNAL OF PASCAL,ADA, & MODULA-2 (Darrell Morgeson) 
--published in Modula-2 with recursion 
--implemented.  The listing had one logic error which caused pointer 
--explosion on the last hypothesis in the GETRULE routine.  This 
--implementation follows the MODULA-2 design completely and
--was not designed from the ground up in Ada.  Many improvements would 
--be possible if more time permitted my working on this.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 12/3/85      1.0     Alan McDonley           Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
