

-------- SIMTEL20 Ada Software Repository Prologue ------------
--
-- Unit name    : generic package GENERIC_MATH_FUNCTIONS
-- Version      : 1.0
-- Author       : Col. William A. Whitaker, Lt. Tim Eicholz, USAF
-- DDN Address  : WWHITAKER@ADA20
-- Copyright    : None (Government work)
-- Date created :  JULY 1982
-- Release date :  JULY 1986
-- Last update  :  WHITAKER JULY 1986
-- Machine/System Compiled/Run on : Rational R1000, VAX (DEC), others
--
---------------------------------------------------------------
--
-- Keywords     :  MATH, MATH_FUNCTIONS, ELEMENTARY_FUNCTIONS
--
-- Abstract     :  A set of elementary math functions (generic on digits <>)
-- corresponding to the FORTRAN intrinsic functions.  The implementation of
-- the body uses the truncated polynominals method of Cody and Waite.
-- This is a set of easily understood code ment to be machine independent.
-- They are not particularly fast.  They could be optimized for particular 
-- machines.
-- A fairly extensive set of test procedures are also provided.
--
------------------ Revision history ---------------------------
--
-- DATE         VERSION	AUTHOR                  HISTORY
-- 18JUL86       1.0	Whitaker                Initial Release
--
------------------ Distribution and Copyright -----------------
--
-- This software is not subject to copyright.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--
-------------------END-PROLOGUE--------------------------------
