-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Math Library
-- Version      : 1.0
-- Author       : WIS JPMO
--              : Washington, D.C. 203306600
--              : (703) 285-5065
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  : Court@MITRE.ARPA (Major Terry Courtwright)
-- Copyright    : (c) 1985
-- Date created : 1985
-- Release date : 1985
-- Last update  : 1985
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : This package is a floating mantissa definition
----------------: of a binary FLOAT.  It was first used on the 
----------------: DEC-10 and the VAX but should work for any 
----------------: since the parameters are obtained by initial-
----------------: izing on the actual hardware.  Otherwise the 
----------------: parameters could be set in the spec if known.
----------------: This is a preliminary package that defines the
----------------: properties of the particular floating point 
----------------: type for which we generate the math routines.
----------------: 
----------------: The constants are those required by the routines
----------------: described in "Software Manual for the Elementary
----------------: Functions" W. Cody and W. Waite, Pretice-Hall
----------------: 1980.  Actually most are needed only for the
----------------: test programs rather than the functions them-
----------------: selves.  Most of these could be in the form of 
----------------: attributes if all the floating types to be 
----------------: considered were those built into the compiler, 
----------------: but we also want to be able to support user 
----------------: defined types such as software floating types
----------------: of greater precision than the hardware affords,
----------------: or types defined on one machine to simulate
----------------: another. 
----------------: 
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
--10/8/85       1.0     WIS JPMO                Initial Release 
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
