-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : CAS Ada Statement Counter
-- Version      : 1.0
-- Author       : WIS JPMO
--              : Washington, D.C.  20330
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : 
-- Date created : 1985
-- Release date : 1985
-- Last update  : 1985
-- Machine/System Compiled/Run on:
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : This function calculates the "statements"
----------------: of a valid Ada fragment specified by a 
----------------: FILE_NAME string parameter.  It need not
----------------: be a complete compilation unit buy it 
----------------: should have closed all open parentheses and
----------------: and string brackets.  The number of statements
----------------: of code is returned as an integer.  The Ada 
----------------: statement is defined by a semicolon terminator
----------------: outside of comments, parentheses, or string or
----------------: character literals.  The definition is 
----------------: insensitive to formatting or layout of the source.
----------------: This copy of the function is embedded in a test
----------------: and driver program.  The driver has a feature of
----------------: correcting for the common error of leaving out 
----------------: the extensiOn on a file name.  The nature of 
----------------: this extension is system dependent and a ".TXT"
----------------: extension is used.
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 1985         1.0     WIS JPMO                Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
