-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : CHARACTER_SET
-- Version      : 2.0
-- Author       : Joseph M. Orost
--              : Concurrent Computer Corporation
--              : 106 Apple Street
--              : Tinton Falls, NJ 07724
-- DDN Address  : vax135!petsd!joe@BERKELEY.ARPA
-- Copyright    :
-- Date created : 15 Feb 85
-- Release date : 15 Feb 85
-- Last update  : 12 Mar 87
-- Machine/System Compiled/Run on : CCUR 3200MPS, C3ADA R00-01/BETA
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : character, character set
--
-- Abstract     : CHARACTER_SET provides a number of test routines
----------------: which determine if a given character falls into
-- a particular class of characters.  See the visible section for
-- details.  It also provides routines for character and string
-- letter case conversion (to lower case, to upper case) and for
-- naming control characters.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR               HISTORY
-- 2/15/85      1.0     Richard Conn         Initial Release
-- 2/25/85      1.1     Richard Conn         Cosmetic, Readability Changes
-- 3/12/87      2.0     Joseph M. Orost      Rewrite for better performance.
--                                           Replaced functions with arrays.
--                                           Source compatible unless
--                                           named notation was used for
--                                           function calls:
--                                           IS_LOWER(CH => C) no longer works,
--                                           but IS_LOWER(C) is OK.
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
