-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : generic package Garbage_Collection
-- Version      : 1.0
-- Author       : Doug Bryan
--              : Computer Systems Lab
--              : Stanford University
--              : Stanford, CA 94305
-- DDN Address  : bryan@su-sierra
-- Copyright    :
-- Date created : 10 Aug 1985
-- Release date : 16 Aug 1985
-- Last update  : 16 Aug 1985
-- Machine/System Compiled/Run on : DG MV/10000, Ada Dev Environ (ADE) 2.2
---------------------------------------------------------------
--                                                           -*
-- Keywords     : MEMORY, GARBAGE, COLLECTION
----------------:
--
-- Abstract     : This is a generic garbage collector.  It simply
----------------: maintains an internal linked list of items which
--              : have been freed then reuses these items when more
--              : are needed.
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
