-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Permutations_Class
-- Version      : 1.0
-- Author       : Doug Bryan
--              : Computer Systems Lab
--              : Stanford University
--              : Stanford CA, 94305
-- DDN Address  : bryan@su-sierra
-- Copyright    : (c) -none-
-- Date created :  15 April 1985
-- Release date :  15 April 1985
-- Last update  :  15 April 1985
-- Machine/System Compiled/Run on : DG MV/10000 ADE 2.2
--
---------------------------------------------------------------
--                                                           -*
-- Keywords     :
----------------: permutations, recursion, nested generics,
----------------: iterators
--
-- Abstract     :
----------------: This is a generic package which, given an array
----------------: of items, forms all possible permutations using
----------------: these items.  The package does so by providing
----------------: a generic permutation class, within which is an
----------------: iterator.  The iterator has a generic formal
----------------: subprogram to which it passes each permutation.
----------------:
----------------: The package may make a nice example of the following
----------------: Ada features: nested generics, recursion, generic
----------------: formal subprograms as a method of implementing an
----------------: iterator.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
--                                                           -*
-- 	none yet...
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------

