
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Ada Reserved Word Hash
-- Version      : 1.0
-- Authors      : Mars J. Gralia
--              : Jerry L. Kashtan
--              : The Johns Hopkins Universtity
--              : Laurel, Maryland  20707
-- DDN Address  : GRALIA @ APLVAX
-- Copyright    : (c) 1986 Mars J. Gralia and Jerry L. Kashtan
-- Date created :  November 16, 1985
-- Release date :  January 29, 1986
-- Last update  :  January 29, 1986
-- Machine/System Compiled/Run on : DEC 8600 Cluster, DEC Ada v1.0-7
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  ADA RESERVED WORDS
----------------:  PARSER,TOKEN,TOKENIZER,SYNTAX,HASH
--
-- Abstract     :  This package contains the single function
----------------:  "is_Ada_reserved_word".  It returns with 
----------------:  either a "true" or "false" to the statement
----------------:  "the input character string is a reserved
----------------:  word in the Ada language."   
----------------:  The contribution of the function is that it
----------------:  executes very quickly.  It is an implemen-
----------------:  tation of the algorithm defined by David
----------------:  Wolverton in "A Perfect Hash Function for
----------------:  Ada Reserved Words", as published in
----------------:  Ada Letters, July-August 1984.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 1/29/86	  1.0	Gralia & Kashtan	Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the authors.
--
-- This software is released to the Ada community.
--
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------

------

