
-------- SIMTEL20 Ada Software Repository Prologue ------------
--
-- Unit name    : String Comparison
-- Version      : 1.0
-- Author       : Erland Sommarskog
--              : ENEA Data, Stockholm
-- DDN Address  : sommar@enea.se.UUCP
-- Copyright    : 
-- Date created : 2 Nov 87 
-- Release date : 2 Nov 87
-- Last update  : 2 Nov 87
-- Machine/System Compiled/Run on :
--
---------------------------------------------------------------
--
-- Keywords     : String Comparison
--
-- Abstract     :  
-- Article 219 of comp.sources.misc:
-- 
-- 	This posting contains a package for string-comparisons in a
-- fairly sophisticated way where regard to accents, non-letters and case
-- is only taken if necessary.
-- 	The user defines how each character should be sorted, whether
-- if it is a letter, and whether it is a variant of another letter. See
-- READ.ME [STRCOMP.DOC] for complete description.
-- 	The purpose is not to provide a facility, though, rather to
-- demonstrate the idea. The code is in Ada.
-- 	Comments and questions are welcome to:
-- 
-- 		Erland Sommarskog
-- 		ENEA Data, Stockholm
-- 		sommar@enea
--
------------------ Revision history ---------------------------
-- DATE         VERSION	AUTHOR                  HISTORY
-- 2 Nov 87       1.0   Erland Sommarskog       Initial Release
------------------ Distribution and Copyright -----------------
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--
-------------------END-PROLOGUE--------------------------------
