-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : TBD_PACKAGE
-- Version      : 1.1
-- Author       : Bryce Bardin
--              : Ada Projects Section
--              : Software Engineering Division
--              : Ground Systems Group
--              : Hughes Aircraft Company
--              : Fullerton, CA
-- DDN Address  :
-- Copyright    : (c) 1985
-- Date created :
-- Release date : 3 Dec 85
-- Last update  : 3 Dec 85
-- Machine/System Compiled/Run on : Vax 11/785   VMS 4.1    Dec-Ada
---------------------------------------------------------------
--                                                           -*
-- Keywords     : TBD_Package         
----------------:                                            -*
--                                                           -*
-- Abstract     :                                            -*
----------------:                                            -*
--                                                           -*
-- TBD  stands  for  "To  Be  Determined".   This package is -*
-- intended  to  be  used  during design to aid in producing -*
-- partial designs that are expressed in valid Ada.  It also -*
-- may  be  used  advantageously  in  development  while the -*
-- implementation is incomplete or in rapid prototyping.     -*
--                                                           -*
-- In   particular,  it  supplies  type  definitions,  range -*
-- limits, and default values which may be used to assist in -*
-- describing  unknown  or partially defined types, objects, -*
-- and  values.   In  addition,  it supplies a place-holding -*
-- procedure call.                                           -*
--                                                           -*
-- If  this  TBD_PACKAGE  is  used,  simple searches for the -*
-- string "TBD"                                              -*
-- may  be  used  to  find  many  places where the design is -*
-- incomplete.                                               -*
--                                                           -*
-- N.B.:   The  types  defined here should be used to derive -*
-- those used in the design, rather than being used directly -*
-- (see  the  usage  given  below for examles of the style). -*
--                                                           -*
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included  in  all  copies  of  this
-- software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                             
-- This software and its documentation are provided "AS IS"  
-- and without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           
-------------------END-PROLOGUE--------------------------------
