
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : VDT100
-- Version      : 1.0
-- Author       : Triplett, Brenda and Hammons, Bud
--              : Department of Computer Science
--              : North Texas State University
--              : Denton, TX  76203
-- DDN Address  : HAMMONS%TI-EG at CSNET-RELAY
-- Copyright    : (c) 1984, 1985 Brenda Triplett and Bud Hammons
-- Date created :  1984
-- Release date :  15 Jan 1985
-- Last update  :  15 Jan 1985
-- Machine/System Compiled/Run on : Telesoft Ada 1.5, VAX
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  VT100, TERMINAL INTERFACE, TOWERS OF HANOI
----------------:
--
-- Abstract     :  VDT100.SRC contains a package which provides a
----------------:  set of routines to interface with a VT100
----------------:  computer terminal, providing procedures for
----------------:  functions such as cursor positioning and clear
----------------:  screen.  Included is a test program, which is
----------------:  a solution to the Towers of Hanoi.
----------------:  This is a first student attempt and does not use
----------------:  the IMAGE attribute.
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 15 Jan 85	   1.0	Brenda Triplett		Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------

