-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Data Dictionary System
-- Version      : 1.0
-- Author       : Intermetrics, Inc.
--              : 733 Concord Ave, Cambridge, MA 02138
--              : Bill Toscano or Michael Gordon (author)
--              : (617) 661-1840
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Intermetrics, Inc.
-- Date created : 1985
-- Release date : 1985
-- Last update  : 
-- Machine/System Compiled/Run on : DEC Ada / VMS
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : The data dictionary is a collection of records
----------------: which contain various data on Ada declarations and
----------------: programs.  Tools are provided to create, edit, and
----------------: extract information from the data dictionary.  The
----------------: format and content of each kind of entry in the
----------------: data dictionary is user defineable.  Associated
----------------: with each type of record is a display form for use
----------------: while interactively creating or updating the data
----------------: dictionary entry.
----------------:       
----------------: This tool was developed as a precuresor for
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been   
----------------: demonstrated.
----------------: 
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE       VERSION        AUTHOR               HISTORY 
--            1.0            Intermetrics         Initial Release                                                          
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------

