package REMOTE_GLOBAL is  -- for explicit control of optimization

  A_ONE : INTEGER; --        a constant 1 that can not be optimized away
--                           A_ONE is intentionally visible. DO NOT CHANGE IT
--
  GLOBAL : INTEGER := 1 ; -- global object can not be optimized away
--                           GLOBAL is changed by measurement programs
--                           the initialization to 1 is used in the body
--                           but could be changed by elaboration order
--
  procedure REMOTE; --       do to calls to this procedure, no compiler
--                           can optimize away the computation an GLOBAL
--
  procedure CHECK_TIME ( TEST_DURATION : in DURATION ) ;
--  Just print message if TEST_DURATION less then
--                           100 * SYSTEM.TICK  or DURATION'SMALL
--
end REMOTE_GLOBAL;
