

with PHYSICAL_CONVERSION_CONSTANT ; use PHYSICAL_CONVERSION_CONSTANT ;
with PHYSICAL_REAL ; use PHYSICAL_REAL ;

package body PHYSICAL_UNITS_CONVERSION_MKS is

  function MKS ( ITEM : LENGTH_ENGLISH ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) * FOOT_TO_METER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_PICOMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_PICOMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_NANOMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_NANOMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_MICROMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_MICROMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_MILLIMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_MILLIMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_CENTIMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_CENTIMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_DECIMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_DECIMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_DECAMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_DECAMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_HECTOMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_HECTOMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_KILOMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_KILOMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_MEGAMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_MEGAMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_GIGAMETER ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_GIGAMETER ;
  end MKS ;

  function MKS ( ITEM : LENGTH_ANGSTROM ) return LENGTH_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / METER_TO_ANGSTROM ;
  end MKS ;

  function MKS ( ITEM : MASS_ENGLISH ) return MASS_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) * POUND_TO_KILOGRAM ;
  end MKS ;

  function MKS ( ITEM : MASS_MILLIGRAM ) return MASS_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / KILOGRAM_TO_MILLIGRAM ;
  end MKS ;

  function MKS ( ITEM : MASS_GRAM ) return MASS_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / KILOGRAM_TO_GRAM ;
  end MKS ;

  function MKS ( ITEM : MASS_TON_METRIC ) return MASS_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / KILOGRAM_TO_TON_METRIC ;
  end MKS ;

  function MKS ( ITEM : TIME_PICOSECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_PICOSECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_NANOSECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_NANOSECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_MICROSECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_MICROSECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_MILLISECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_MILLISECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_CENTISECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_CENTISECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_KILOSECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_KILOSECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_MEGASECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_MEGASECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_GIGASECOND ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_GIGASECOND ;
  end MKS ;

  function MKS ( ITEM : TIME_MINUTE ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_MINUTE ;
  end MKS ;

  function MKS ( ITEM : TIME_HOUR ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_HOUR ;
  end MKS ;

  function MKS ( ITEM : TIME_DAY ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_DAY ;
  end MKS ;

  function MKS ( ITEM : TIME_FORTNIGHT ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_FORTNIGHT ;
  end MKS ;

  function MKS ( ITEM : TIME_MONTH ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_MONTH ;
  end MKS ;

  function MKS ( ITEM : TIME_YEAR ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_YEAR ;
  end MKS ;

  function MKS ( ITEM : TIME_DECADE ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_DECADE ;
  end MKS ;

  function MKS ( ITEM : TIME_CENTURY ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_CENTURY ;
  end MKS ;

  function MKS ( ITEM : TIME_MILLENNIA ) return TIME_SECOND is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) / SECOND_TO_MILLENNIA ;
  end MKS ;

  function MKS ( ITEM : CHARGE_AMPERE_HOURS ) return CHARGE_COULOMB is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CHARGE_ELECTRON ) return CHARGE_COULOMB is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CHARGE_FARADAY ) return CHARGE_COULOMB is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : TEMPERATURE_CENTIGRADE ) return TEMPERATURE_KELVIN is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : TEMPERATURE_FARENHEIT ) return TEMPERATURE_KELVIN is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ANGLE_SECOND ) return ANGLE_RADIAN is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ANGLE_MINUTE ) return ANGLE_RADIAN is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ANGLE_DEGREE ) return ANGLE_RADIAN is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ANGLE_REVOLUTION ) return ANGLE_RADIAN is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ANGLE_BAM ) return ANGLE_RADIAN is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : AREA_ENGLISH ) return AREA_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : AREA_SQUARE_CENTIMETER ) return AREA_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : AREA_SQUARE_KILOMETER ) return AREA_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : AREA_HECTARE ) return AREA_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLUME_ENGLISH ) return VOLUME_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLUME_MILLILITER ) return VOLUME_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLUME_LITER ) return VOLUME_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLUME_KILOLITER ) return VOLUME_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLUME_CUBIC_CENTIMETER ) return VOLUME_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VELOCITY_ENGLISH ) return VELOCITY_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VELOCITY_CENTIMETER_PER_SECOND ) return VELOCITY_MKS
      is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VELOCITY_KILOMETER_PER_HOUR ) return VELOCITY_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ACCELERATION_ENGLISH ) return ACCELERATION_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : FORCE_DYNE ) return FORCE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : FORCE_ENGLISH ) return FORCE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ENERGY_ERG ) return ENERGY_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ENERGY_GRAM_CALORIE ) return ENERGY_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ENERGY_KILOGRAM_CALORIE ) return ENERGY_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : ENERGY_ENGLISH ) return ENERGY_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : POWER_KILOGRAM_CALORIE_PER_SECOND ) return POWER_MKS
      is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : POWER_KILOGRAN_CALORIE_PER_MINUTE ) return POWER_MKS
      is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : POWER_HORSEPOWER_METRIC ) return POWER_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : DENSITY_ENGLISH ) return DENSITY_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : FLOW_RATE_ENGLISH ) return FLOW_RATE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : PRESSURE_ENGLISH ) return PRESSURE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : PRESSURE_ATMOSPHERE_STANDARD ) return PRESSURE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : PRESSURE_MILLIMETER_OF_MERCURY ) return PRESSURE_MKS
      is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : PRESSURE_BAR ) return PRESSURE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : PRESSURE_MILLIBAR ) return PRESSURE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : PRESSURE_TORR ) return PRESSURE_MKS is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CURRENT_MILLIAMPERE ) return CURRENT_AMPERE is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CURRENT_MICROAMPERE ) return CURRENT_AMPERE is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CURRENT_ABAMPERE ) return CURRENT_AMPERE is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CURRENT_STATAMPERE ) return CURRENT_AMPERE is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLTAGE_MILLIVOLT ) return VOLTAGE_VOLT is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLTAGE_MICROVOLT ) return VOLTAGE_VOLT is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : VOLTAGE_KILOVOLT ) return VOLTAGE_VOLT is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : RESISTANCE_MILLIOHM ) return RESISTANCE_OHM is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : RESISTANCE_KILOHM ) return RESISTANCE_OHM is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : RESISTANCE_MEGOHM ) return RESISTANCE_OHM is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CAPACITANCE_MICROFARAD ) return CAPACITANCE_FARAD is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : CAPACITANCE_PICOFARAD ) return CAPACITANCE_FARAD is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : INDUCTANCE_MILLIHENRY ) return INDUCTANCE_HENRY is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : INDUCTANCE_MICROHENRY ) return INDUCTANCE_HENRY is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : FREQUENCY_KILOHERTZ ) return FREQUENCY_HERTZ is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : FREQUENCY_MEGAHERTZ ) return FREQUENCY_HERTZ is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;

  function MKS ( ITEM : FREQUENCY_GIGAHERTZ ) return FREQUENCY_HERTZ is

  begin
    return DIMENSION ( UNDIMENSION( ITEM )) ;
  end MKS ;
end PHYSICAL_UNITS_CONVERSION_MKS ;
