-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Queuing Simulation Package
-- Version      : 1.0
-- Author       : Ford Aerospace and Communications Corp
--              : 3939 Fabian Way, 
--              : Palo Alto, CA 94303
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Ford Aerospace 
-- Date created : Jan. 1985 
-- Release date : June 1985 
-- Last update  : 
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract   : 
----------------: This tool will simulate the statistical behavior of networks 
----------------: and queues, such as in communication systems, transportation 
----------------: and logistics.  It will provide a stand-alone, single 
----------------: performance prediction function.  It will provide useful 
----------------: performance prediction information to a user sizing, 
----------------: reconfiguring, or upgrading a system configuration.  Data is 
----------------: provided interactively and describes a network to be modelled.
----------------: This tool includes complex computational algorithms and thus
----------------: is unusual among the precursors.  It is predicted that 3000 
----------------: FORTRAN lines will convert to 3750 Ada lines.  The 
----------------: coordination of the Ada PDL design and the conversion of 
----------------: existion FORTRAN code may present difficulties.
----------------: 
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                   -*
------------------ Revision history ---------------------------
--                                                   -*
-- DATE VERSION AUTHOR                  HISTORY 
-- 6/84    1.0                          Initial Release 
--                                                   -*
------------------ Distribution and Copyright -----------------
--                                                   -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                   -*
----------------- Disclaimer ----------------------------------
--                                                   -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                  -*
----------------- END-PROLOGUE -------------------------------
