-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Statement Profile Report
-- Version      : 1.0
-- Author       : Bill Toscano, Michael Gordon
--              : Intermetrics, Inc, 
--              : 733 Concord Ave
--              : Cambridge, MA 02138 
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 Intermetrics, Inc. 
-- Date created : 15 October 1985 
-- Release date : 5 March 1985 
-- Last update  : 17 March 1985 
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : 
----------------:
--
-- Abstract     : The Statement Profiler counts every instance of each of  
----------------: the various types of Ada statements in the given program unit
----------------: bodies, including comments, distinguishing whole-line comments
----------------: from comments on a line of code.  From these raw counts,      
----------------: a series of ratios and percentages can then be computed and  
----------------: shown in a table.  The raw counts or the profile table is   
----------------: written to the default output file.  This information can
----------------: then be used to determine when programs are inadequately
----------------: commented or overly complex.
----------------: 
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
-- 03/85        1.0  Bill Toscano               Initial Release 
--                                                           -* 
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
