-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Benchmarks; Examples for Training and Transition
-- Version      : 1.0
-- Author       : Doris Sayon and Bonnie Burkhardt
--              : GTE Sylvania Systems Group, Western Division
--              : P.O. Box 7188
--              : San Diego, CA  94039
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 GTE
-- Date created : May 1985
-- Release date : June 1985
-- Last update  : 
-- Machine/System Compiled/Run on : 
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : benchmarks, C, Ada, FORTRAN, Pascal
----------------:
--
-- Abstract     : A suite of timing and sizing benchmark 
----------------: programs written in "C", Ada, Fortran and
----------------: Pascal.  The first program in the suite is
----------------: the Whetstone benchmark, which measures 
----------------: processor speed.  This benchmark suite is 
----------------: available in "C", Ada, Fortran and Pascal.
----------------: The other program in the suite is the 
----------------: Dhrystone benchmark.  The Dhrystone benchmark
----------------: measures statement execution per unit time.
----------------: Dhrystone is available only for Ada.
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHORS                 HISTORY 
-- 06/85        1.0     Sayon/Burkhardt         Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
