-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : Benchmark
-- Version      : 1.0
-- Author       : WIS JPMO
--              : Washington, D.C.  20330
--              : Contact: Lt. Colonel Falgiano
--              : ESD/SCW
--              : Hanscom AFB, MA  01731
-- DDN Address  :
-- Copyright    : (c) 1985 
-- Date created : 1985
-- Release date : 1985
-- Last update  : 1985
-- Machine/System Compiled/Run on :
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     : benchmarks
----------------:
--
-- Abstract     : This tool is a series of very simple benchmarks
----------------: which are used to test the validity of various
----------------: assumptions that one might make about the 
----------------: behavior of a compiler.  Probably all the 
----------------: implicit assumptions are valid, these tests
----------------: just check that something has not been 
----------------: overlooked that could severely distort 
----------------: detailed quantitative tests.  There should be
----------------: no significance given to the numerical results 
----------------: of these tests, they just provide a framework
----------------: for other tests.  There is not even a pressing
----------------: need to make sure of the status (or emptiness)
----------------: of the machine on which they are run, since
----------------: the desired comparison is one to another, not
----------------: to some absolute.
----------------:
----------------: This tool was developed as a precursor for 
----------------: the WMCCS Information System (WIS).  An
----------------: executable version of the tool has been 
----------------: demonstrated.  This source code has sub-
----------------: sequently been recompiled but has not under-
----------------: gone extensive testing.
----------------:
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION AUTHOR                  HISTORY 
--1985          1.0     WIS JPMO                Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
-- 
-- This software is copyright by the author.
-- 
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
----------------- Disclaimer ----------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
--
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to 
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this 
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                          -*
----------------- END-PROLOGUE -------------------------------
