
-------- SIMTEL20 Ada Software Repository Prologue ------------
--
-- Unit name    : PIWG Benchmarks
-- Version      : TAPE_8_31_86
-- Author       : ACM SIGAda Performance Issues Working Group (PIWG)
--              : Jon Squire, Chairman
--              : Westinghouse Defense & Electronics Center
--              : MS 1615
--              : PO Box 746
--              : Baltimore, Maryland  21203
--              : 301/765-3748
-- DDN Address  : JSQUIRE@ADA20.ISI.EDU
-- Copyright    : (c) 
-- Date created :  8/31/86
-- Release date :  3/30/87
-- Last update  :  3/30/87
-- Machine/System Compiled/Run on : Numerous
--
---------------------------------------------------------------
--
-- Keywords     :  PIWG, Benchmarks
--
-- Abstract     :  
--	PIWG is a suite of tests/benchmarks prepared by the
-- Performance Issues Working Group of ACM SIGAda.  The purpose of
-- PIWG is to develop the benchmarks and collect and disseminate results.
--	The PIWG tests have been under development for many years and
-- have been run against many Ada compilers.  The PIWG test suite
-- contains over 190 files which include Whetstone (to measure
-- processor speed), Dhrystone (to measure statement execution per
-- unit time), and other benchmarks which test various attributes of
-- the Ada language and their implementations under specific
-- compilers.  The PIWG tests must be customized for a particular
-- compiler, and instructions are included to do this.
--	Some of the items measured by PIWG include:
--		* task creation-related timing
--		* dynamic elaboration-related timing
--		* exception-related timing
--		* coding style-related timing
--		* TEXT_IO-related timing
--		* loop overhead-related timing
--		* procedure call-related timing
--		* task-related timing
--		* compilation, link, and execution times
--
------------------ Revision history ---------------------------
--
-- DATE         VERSION	AUTHOR                  HISTORY
-- 3/30/87	TAPE_8_31_86	PIWG		Release to ASR
------------------ Distribution and Copyright -----------------
--
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--
-------------------END-PROLOGUE--------------------------------
