

-------- SIMTEL20 Ada Software Repository Prologue ------------
--
-- Unit name    : Tasking Benchmarks
--              : 
-- Version      : Version 1.0
--              : 
-- Authors      : Thomas M. Burger
--              : 
--              : TeleSoft, Inc.
--              : 5959 Cornerstone - West
--              : San Diego, CA 92121-9891
--              : 
--              :        and
--              : 
--              : Kjell W. Nielsen
--              : 
--              : Hughes Aircraft Company
--              : 10103 Carroll Canyon Road
--              : San Diego, CA 92131
--              : 
-- DDN Address  : amoses@ecla.usc.edu
-- Copyright    : (c) 
-- Date created :  
-- Release date :  
-- Last update  :  
-- Machine/System Compiled/Run on : DEC Ada (Version 1.2) on a VAX 8600
--
---------------------------------------------------------------
--
-- Keywords     :  
--
-- Abstract     :  A set of tasking benchmarks were developed in
--              :  conjunction with the paper "An Assessment of the
--              :  Overhead Associated with Tasking Facilities
--              :  and Task Paradigms in Ada" which appeared in the
--              :  January,February 1987 Ada Letters.  These benchmarks
--              :  were developed to measure the efficiency of the
--              :  implementation of the Ada tasking model, and
--              :  evaluate the additional cost of introducing
--              :  intermediaries for the various tasking paradigms.
--
--
------------------ Revision history ---------------------------
--
-- DATE         VERSION	AUTHOR                  HISTORY
--
------------------ Distribution and Copyright -----------------
--
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the author.
--
-- This software is released to the Ada community.                     
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--
-------------------END-PROLOGUE--------------------------------
