
-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : A970 (P970, or PROG970)
-- Version      : 1.7
-- Author       : Freeman Moore
--              : TI Ada Technology Branch
--              : PO Box 801, MS 8006
--              : McKinney, TX  75069
-- DDN Address  : FMOORE%TI-EG at CSNET-RELAY
-- Copyright    : 
-- Date created :  26 Apr 85
-- Release date :  26 Apr 85
-- Last update  :  26 Apr 85
-- Machine/System Compiled/Run on :  DG MV 10000 (ROLM ADE)
--				:	DEC VAX 11/785 (DEC Ada)
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  TVI970 Terminal, Terminal, Terminal Programming
----------------:
--
-- Abstract     :  
----------------:  
-- 
--      PROG970 in Pascal, by Rick Conn
--               converted to Ada by Freeman Moore, April 1985
-- 
--      The purpose of PROG970 is to Program the TVI 970 terminal from
--      a file, setting a variety of its features.  These features include
--      the following:
-- 
--              o User Message Line
--              o Function Keys
--              o Cursor Type
--              o Key Click
--              o 25th Line Display
--              o Answerback Sequence
--              o Programmable Keys
--              o Personal Messages
--              o Other User-Definable Char Sequences
-- 
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
-- 4/26/85	1.7	Freeman Moore		Initial Release
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------
