 
-------- SIMTEL20 Ada Software Repository Prologue ------------
--
-- Unit name    : program Vax_Tape
-- Version      : 1.0
-- Authors      : H. J. Clarke, A. F. Niessner, Jr.
--              : ARL/Penn State University
--              : P.O. Box 30
--              : State College, Pa.  16804
-- DDN Address  : arlpsu@nems
-- Copyright    : (c) 1987 the Pennsylvania State University
-- Date created : November 27, 1987
-- Release date : November 27, 1987
-- Last update  : November 27, 1987
-- Machine/System Compiled/Run on : Data General MV10000,
--                                  Rolm ADE_rev_240
--
---------------------------------------------------------------
--
-- Keywords     : Vax compatible tape, ANSI standard tape,
--                File transfer, Data General to Vax tape transfer
-- Abstract     : The program, Vax_Tape, it's supporting
--                packages, and the acompaning CLI's, provide a
--                capability to write text files on a Vax compatable,
--                ANSI standard, tape on a Data General MV10000.
--                The dynamic strings package, DYN, found in
--                the Ada Repository in the subdirectory,
--                PD2<ADA.COMPONENTS>, and named DSTR3.SRC,
--                is used by this program.
--
------------------ Revision history ---------------------------
--
-- DATE         VERSION AUTHORS                 HISTORY
-- 11/27/87     1.0     A. F. Niessner, Jr.     Initial Release
--                      H. J. Clarke
--
------------------ Distribution and Copyright -----------------
--
-- This prologue must be included in all copies of this software.
--
-- This software is copyright by the authors.
--
-- This software is released to the Ada community.
-- This software is released to the Public Domain (note:
--   software released to the Public Domain is not subject
--   to copyright protection).
-- Restrictions on use or distribution:  NONE
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--
 
to tape, Vax_Tape.F